Package org.apache.commons.compress.harmony.pack200

# Class CanonicalCodecFamilies

java.lang.Object
org.apache.commons.compress.harmony.pack200.CanonicalCodecFamilies

public class CanonicalCodecFamilies extends Object
Sets of codecs that share characteristics. Mainly used for different effort compression heuristics in BandSet.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static BHSDCodec[]`
  `deltaDoubleSignedCodecs1`
  Delta double signed codecs 1.
  `static BHSDCodec[]`
  `deltaSignedCodecs1`
  Delta signed codecs 1.
  `static BHSDCodec[]`
  `deltaSignedCodecs2`
  Delta signed codecs 2.
  `static BHSDCodec[]`
  `deltaSignedCodecs3`
  Delta signed codecs 3.
  `static BHSDCodec[]`
  `deltaSignedCodecs4`
  Delta signed codecs 4.
  `static BHSDCodec[]`
  `deltaSignedCodecs5`
  Delta signed codecs 5.
  `static BHSDCodec[]`
  `deltaUnsignedCodecs1`
  Delta unsigned codecs 1.
  `static BHSDCodec[]`
  `deltaUnsignedCodecs2`
  Delta unsigned codecs 2.
  `static BHSDCodec[]`
  `deltaUnsignedCodecs3`
  Delta unsigned codecs 3.
  `static BHSDCodec[]`
  `deltaUnsignedCodecs4`
  Delta unsigned codecs 4.
  `static BHSDCodec[]`
  `deltaUnsignedCodecs5`
  Delta unsigned codecs 5.
  `static BHSDCodec[]`
  `nonDeltaDoubleSignedCodecs1`
  Non-delta double signed codecs 1.
  `static BHSDCodec[]`
  `nonDeltaSignedCodecs1`
  Non-delta signed codecs 1.
  `static BHSDCodec[]`
  `nonDeltaSignedCodecs2`
  Non-delta signed codecs 2.
  `static BHSDCodec[]`
  `nonDeltaUnsignedCodecs1`
  Non-delta unsigned codecs 1.
  `static BHSDCodec[]`
  `nonDeltaUnsignedCodecs2`
  Non-delta unsigned codecs 2.
  `static BHSDCodec[]`
  `nonDeltaUnsignedCodecs3`
  Non-delta unsigned codecs 3.
  `static BHSDCodec[]`
  `nonDeltaUnsignedCodecs4`
  Non-delta unsigned codecs 4.
  `static BHSDCodec[]`
  `nonDeltaUnsignedCodecs5`
  Non-delta unsigned codecs 5.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CanonicalCodecFamilies()`
  Deprecated.
  Will be private in the next major release.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### nonDeltaUnsignedCodecs1

    public static BHSDCodec[] nonDeltaUnsignedCodecs1
    Non-delta unsigned codecs 1.

  - ### nonDeltaUnsignedCodecs2

    public static BHSDCodec[] nonDeltaUnsignedCodecs2
    Non-delta unsigned codecs 2.

  - ### nonDeltaUnsignedCodecs3

    public static BHSDCodec[] nonDeltaUnsignedCodecs3
    Non-delta unsigned codecs 3.

  - ### nonDeltaUnsignedCodecs4

    public static BHSDCodec[] nonDeltaUnsignedCodecs4
    Non-delta unsigned codecs 4.

  - ### nonDeltaUnsignedCodecs5

    public static BHSDCodec[] nonDeltaUnsignedCodecs5
    Non-delta unsigned codecs 5.

  - ### deltaUnsignedCodecs1

    public static BHSDCodec[] deltaUnsignedCodecs1
    Delta unsigned codecs 1.

  - ### deltaUnsignedCodecs2

    public static BHSDCodec[] deltaUnsignedCodecs2
    Delta unsigned codecs 2.

  - ### deltaUnsignedCodecs3

    public static BHSDCodec[] deltaUnsignedCodecs3
    Delta unsigned codecs 3.

  - ### deltaUnsignedCodecs4

    public static BHSDCodec[] deltaUnsignedCodecs4
    Delta unsigned codecs 4.

  - ### deltaUnsignedCodecs5

    public static BHSDCodec[] deltaUnsignedCodecs5
    Delta unsigned codecs 5.

  - ### deltaSignedCodecs1

    public static BHSDCodec[] deltaSignedCodecs1
    Delta signed codecs 1.

  - ### deltaSignedCodecs2

    public static BHSDCodec[] deltaSignedCodecs2
    Delta signed codecs 2.

  - ### deltaSignedCodecs3

    public static BHSDCodec[] deltaSignedCodecs3
    Delta signed codecs 3.

  - ### deltaSignedCodecs4

    public static BHSDCodec[] deltaSignedCodecs4
    Delta signed codecs 4.

  - ### deltaSignedCodecs5

    public static BHSDCodec[] deltaSignedCodecs5
    Delta signed codecs 5.

  - ### deltaDoubleSignedCodecs1

    public static BHSDCodec[] deltaDoubleSignedCodecs1
    Delta double signed codecs 1.

  - ### nonDeltaSignedCodecs1

    public static BHSDCodec[] nonDeltaSignedCodecs1
    Non-delta signed codecs 1.

  - ### nonDeltaSignedCodecs2

    public static BHSDCodec[] nonDeltaSignedCodecs2
    Non-delta signed codecs 2.

  - ### nonDeltaDoubleSignedCodecs1

    public static BHSDCodec[] nonDeltaDoubleSignedCodecs1
    Non-delta double signed codecs 1.

- ## Constructor Details

  - ### CanonicalCodecFamilies

    @Deprecated public CanonicalCodecFamilies()
    Deprecated.
    Will be private in the next major release.
    Constructs a new instance.